<?php
/*
* @ServerMon v1.1
* @Developed by Maksa988
* @www.Server-Mon.ru
* @Copyright (C) 2014
*/
 if(!defined('SMON'))
	die('Hacking attempt!');
	
class pages extends Controller {
	public function __construct() {
		$this->header();
		$this->data['activeSection'] = 'pages';
		$this->model('pages');
		
		if(!$this->GET()) {
			$url = $this->setting('main_page');
		} else {
			$url = $this->GET();
		}
		
		$page = $this->pagesModel->getPage($url);
		
		if($page){
			if($page['page_status'] == '1') {
				$this->data['navbarName'] = $page['page_name'];
				$this->data['page'] = $page;
			} else {
				$this->data['navbarName'] = 'Страница не существует!';
				$this->data['page'] = array('page_text' => '<b>404</b> Страница не существует! Проверьте правильность адреса страницы.');
			}
		} else {
			$this->data['navbarName'] = 'Страница не существует!';
			$this->data['page'] = array('page_text' => '<b>404</b> Страница не существует! Проверьте правильность адреса страницы.');
		}
		
		return $this->view(array('common/header', 'pages/index', 'common/footer'), $this->data); //Загружаем шаблон
	}
}